# Uses of Interface
org.apache.lucene.benchmark.byTask.feeds.SpatialDocMaker.ShapeConverter

Packages that use SpatialDocMaker.ShapeConverter
Package
Description
org.apache.lucene.benchmark.byTask.feeds
Sources for benchmark inputs: documents and queries.

## Uses of SpatialDocMaker.ShapeConverter in org.apache.lucene.benchmark.byTask.feeds

Fields in org.apache.lucene.benchmark.byTask.feeds declared as SpatialDocMaker.ShapeConverter
Modifier and Type
Field
Description
`protected SpatialDocMaker.ShapeConverter`
SpatialFileQueryMaker.`shapeConverter`
Methods in org.apache.lucene.benchmark.byTask.feeds that return SpatialDocMaker.ShapeConverter
Modifier and Type
Method
Description
`static SpatialDocMaker.ShapeConverter`
SpatialDocMaker.`makeShapeConverter(SpatialStrategy spatialStrategy, Config config, String configKeyPrefix)`
Optionally converts points to circles, and optionally bbox'es result.